Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class VirtualNetworkCard

`java.lang.Object
oracle.ovs.api.datamodel.VirtualNetworkCard`

All Implemented Interfaces:
  java.io.Serializable

      public class VirtualNetworkCard

extends java.lang.Object
implements java.io.Serializable

Virtual network card data model.

See Also:
  Serialized Form

Constructor Summary
`VirtualNetworkCard()`

Method Summary
`java.lang.String` | `getBridge()`
`java.lang.String` | `getDefaultGateway()`
`java.lang.String` | `getDnsServer()`
`java.lang.String` | `getDomainName()`
`java.lang.String` | `getFrontEndName()`
`java.lang.String` | `getHostName()`
`java.lang.String` | `getIpAddress()`
`java.lang.String` | `getMacAddress()`
`java.lang.String` | `getName()`
`NetworkConfType` | `getNetworkConfType()`
`NetworkStatus` | `getNetworkStatus()`
`NetworkType` | `getNetworkType()`
`java.lang.Boolean` | `getQosEnabled()`
`java.lang.Double` | `getRateLimit()`
`java.lang.String` | `getSubnetMask()`
`java.lang.Long` | `getVirtualNetworkCardId()`
`void` | `setBridge(java.lang.String bridge)`
`void` | `setDefaultGateway(java.lang.String defaultGateway)`
`void` | `setDnsServer(java.lang.String dnsServer)`
`void` | `setDomainName(java.lang.String domainName)`
`void` | `setFrontEndName(java.lang.String frontEndName)`
`void` | `setHostName(java.lang.String hostName)`
`void` | `setIpAddress(java.lang.String ipAddress)`
`void` | `setMacAddress(java.lang.String macAddress)`
`void` | `setName(java.lang.String name)`
`void` | `setNetworkConfType(NetworkConfType networkConfType)`
`void` | `setNetworkStatus(NetworkStatus networkStatus)`
`void` | `setNetworkType(NetworkType networkType)`
`void` | `setQosEnabled(java.lang.Boolean qosEnabled)`
`void` | `setRateLimit(java.lang.Double rateLimit)`
`void` | `setSubnetMask(java.lang.String subnetMask)`
`void` | `setVirtualNetworkCardId(java.lang.Long virtualNetworkCardId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VirtualNetworkCard

    public VirtualNetworkCard()

Method Detail

### setVirtualNetworkCardId

    public void setVirtualNetworkCardId(java.lang.Long virtualNetworkCardId)

### getVirtualNetworkCardId

    public java.lang.Long getVirtualNetworkCardId()

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setMacAddress

    public void setMacAddress(java.lang.String macAddress)

### getMacAddress

    public java.lang.String getMacAddress()

### setBridge

    public void setBridge(java.lang.String bridge)

### getBridge

    public java.lang.String getBridge()

### setNetworkType

    public void setNetworkType(NetworkType networkType)

### getNetworkType

    public NetworkType getNetworkType()

### setRateLimit

    public void setRateLimit(java.lang.Double rateLimit)

### getRateLimit

    public java.lang.Double getRateLimit()

### setNetworkStatus

    public void setNetworkStatus(NetworkStatus networkStatus)

### getNetworkStatus

    public NetworkStatus getNetworkStatus()

### setNetworkConfType

    public void setNetworkConfType(NetworkConfType networkConfType)

### getNetworkConfType

    public NetworkConfType getNetworkConfType()

### setSubnetMask

    public void setSubnetMask(java.lang.String subnetMask)

### getSubnetMask

    public java.lang.String getSubnetMask()

### setDefaultGateway

    public void setDefaultGateway(java.lang.String defaultGateway)

### getDefaultGateway

    public java.lang.String getDefaultGateway()

### setIpAddress

    public void setIpAddress(java.lang.String ipAddress)

### getIpAddress

    public java.lang.String getIpAddress()

### setHostName

    public void setHostName(java.lang.String hostName)

### getHostName

    public java.lang.String getHostName()

### setDnsServer

    public void setDnsServer(java.lang.String dnsServer)

### getDnsServer

    public java.lang.String getDnsServer()

### setDomainName

    public void setDomainName(java.lang.String domainName)

### getDomainName

    public java.lang.String getDomainName()

### setFrontEndName

    public void setFrontEndName(java.lang.String frontEndName)

### getFrontEndName

    public java.lang.String getFrontEndName()

### setQosEnabled

    public void setQosEnabled(java.lang.Boolean qosEnabled)

### getQosEnabled

    public java.lang.Boolean getQosEnabled()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.